SeaGrant specific

Build: #308 was successful

Job: Default Job was successful

Stages & jobs

  1. Default Stage

Job result summary

Completed
Duration
1 minute
Agent
buildserver-2.os.ncsa.edu
Revisions
theme
8e10d1666c3999ca7e6ed0d373a739493f36ee6b 8e10d1666c3999ca7e6ed0d373a739493f36ee6b
GeoDashboard
91a8cd6b2b100dd1e7bbb0d9656726e238b4e7bd 91a8cd6b2b100dd1e7bbb0d9656726e238b4e7bd
Total tests
38
Successful since
#307 ()

Tests

  • 38 tests in total
  • 20 tests were quarantined / skipped
  • 20 seconds taken in total.

Error summary

The build generated some errors. See the full build log for more details.

Already on 'master'
Already on 'master'
npm http GET https://registry.npmjs.org/xtend
npm http GET https://registry.npmjs.org/generate-function
npm http GET https://registry.npmjs.org/generate-object-property
npm http 304 https://registry.npmjs.org/is-my-ip-valid
npm http 304 https://registry.npmjs.org/jsonpointer
npm http 304 https://registry.npmjs.org/generate-function
npm http 304 https://registry.npmjs.org/xtend
npm http 304 https://registry.npmjs.org/generate-object-property
npm http GET https://registry.npmjs.org/hoek
npm http GET https://registry.npmjs.org/cryptiles
npm http GET https://registry.npmjs.org/sntp
npm http GET https://registry.npmjs.org/boom
npm http 304 https://registry.npmjs.org/hoek
npm http 304 https://registry.npmjs.org/cryptiles
npm http 304 https://registry.npmjs.org/sntp
npm http 304 https://registry.npmjs.org/boom
npm http GET https://registry.npmjs.org/jsbn
npm http GET https://registry.npmjs.org/getpass
npm http GET https://registry.npmjs.org/tweetnacl
npm http GET https://registry.npmjs.org/dashdash
npm http GET https://registry.npmjs.org/ecc-jsbn
npm http GET https://registry.npmjs.org/bcrypt-pbkdf
npm http GET https://registry.npmjs.org/asn1
npm http 304 https://registry.npmjs.org/jsbn
npm http 304 https://registry.npmjs.org/getpass
npm http 304 https://registry.npmjs.org/ecc-jsbn
npm http 304 https://registry.npmjs.org/tweetnacl
npm http 304 https://registry.npmjs.org/dashdash
npm http 304 https://registry.npmjs.org/bcrypt-pbkdf
npm http 304 https://registry.npmjs.org/asn1
npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine boom@2.10.1: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm http GET https://registry.npmjs.org/is-property
npm http 304 https://registry.npmjs.org/is-property
npm http GET https://registry.npmjs.org/amdefine
npm http 304 https://registry.npmjs.org/amdefine
npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine boom@2.10.1: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm http GET https://registry.npmjs.org/mocha-phantomjs
npm http 304 https://registry.npmjs.org/mocha-phantomjs
npm http GET https://registry.npmjs.org/mocha
npm http 304 https://registry.npmjs.org/mocha
npm http GET https://registry.npmjs.org/keypress
npm http 304 https://registry.npmjs.org/keypress
npm http GET https://registry.npmjs.org/highlight.js
npm http GET https://registry.npmjs.org/marked
npm http 304 https://registry.npmjs.org/highlight.js
npm http 304 https://registry.npmjs.org/marked
npm http GET https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/rimraf
npm WARN engine hawk@3.1.3: wanted: {"node":">=0.10.32"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm http GET https://registry.npmjs.org/async
npm http 304 https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/chalk
npm http 304 https://registry.npmjs.org/chalk
npm http GET https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/minimatch
npm http GET https://registry.npmjs.org/growl
npm http GET https://registry.npmjs.org/jade
npm http GET https://registry.npmjs.org/diff
npm http GET https://registry.npmjs.org/glob
npm http 304 https://registry.npmjs.org/growl
npm http 304 https://registry.npmjs.org/diff
npm http 304 https://registry.npmjs.org/jade
npm http 304 https://registry.npmjs.org/glob
npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
npm http GET https://registry.npmjs.org/ansi-styles
npm http GET https://registry.npmjs.org/strip-ansi
npm http GET https://registry.npmjs.org/escape-string-regexp
npm http GET https://registry.npmjs.org/supports-color
npm http GET https://registry.npmjs.org/has-ansi
npm http 304 https://registry.npmjs.org/ansi-styles
npm http 304 https://registry.npmjs.org/escape-string-regexp
npm http 304 https://registry.npmjs.org/has-ansi
npm http 304 https://registry.npmjs.org/strip-ansi
npm http 304 https://registry.npmjs.org/supports-color
npm http GET https://registry.npmjs.org/lodash
npm http 304 https://registry.npmjs.org/lodash
npm http GET https://registry.npmjs.org/universalify
npm http 304 https://registry.npmjs.org/universalify
npm http GET https://registry.npmjs.org/ansi-regex
npm http 304 https://registry.npmjs.org/ansi-regex
npm http GET https://registry.npmjs.org/ms
npm http 304 https://registry.npmjs.org/ms
npm http GET https://registry.npmjs.org/inherits
npm http GET https://registry.npmjs.org/graceful-fs
npm http 304 https://registry.npmjs.org/inherits
npm http 304 https://registry.npmjs.org/graceful-fs
npm WARN deprecated graceful-fs@2.0.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine boom@2.10.1: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.28","npm":"1.4.9"})
npm http GET https://registry.npmjs.org/lru-cache
npm http GET https://registry.npmjs.org/sigmund
npm http 304 https://registry.npmjs.org/lru-cache
npm http 304 https://registry.npmjs.org/sigmund
npm http GET https://registry.npmjs.org/mkdirp
npm http 304 https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/colors
npm http GET https://registry.npmjs.org/dateformat
npm http GET https://registry.npmjs.org/eventemitter2
npm http GET https://registry.npmjs.org/findup-sync
npm http GET https://registry.npmjs.org/hooker
npm http GET https://registry.npmjs.org/glob
npm http GET https://registry.npmjs.org/iconv-lite
npm http GET https://registry.npmjs.org/minimatch
npm http GET https://registry.npmjs.org/nopt
npm http GET https://registry.npmjs.org/which
npm http GET https://registry.npmjs.org/underscore.string
npm http GET https://registry.npmjs.org/exit
npm http GET https://registry.npmjs.org/grunt-legacy-util
npm http GET https://registry.npmjs.org/js-yaml
npm http GET https://registry.npmjs.org/grunt-legacy-log
npm http GET https://registry.npmjs.org/coffee-script
npm http 304 https://registry.npmjs.org/dateformat
npm http 304 https://registry.npmjs.org/colors
npm http 304 https://registry.npmjs.org/findup-sync
npm http 304 https://registry.npmjs.org/eventemitter2
npm http 304 https://registry.npmjs.org/hooker
npm http 304 https://registry.npmjs.org/glob
npm http 304 https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/nopt
npm http 304 https://registry.npmjs.org/which
npm http 304 https://registry.npmjs.org/iconv-lite
npm http 304 https://registry.npmjs.org/underscore.string
npm http 304 https://registry.npmjs.org/exit
npm http 304 https://registry.npmjs.org/grunt-legacy-util
npm http 304 https://registry.npmjs.org/js-yaml
npm http 304 https://registry.npmjs.org/grunt-legacy-log
npm http 304 https://registry.npmjs.org/coffee-script
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated coffee-script@1.3.3: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
npm http GET https://registry.npmjs.org/abbrev
npm http 304 https://registry.npmjs.org/abbrev
npm http GET https://registry.npmjs.org/grunt-legacy-log-utils
npm http 304 https://registry.npmjs.org/grunt-legacy-log-utils
npm http GET https://registry.npmjs.org/lru-cache
npm http GET https://registry.npmjs.org/sigmund
npm http 304 https://registry.npmjs.org/lru-cache
npm http 304 https://registry.npmjs.org/sigmund
npm http GET https://registry.npmjs.org/js-beautify
npm http GET https://registry.npmjs.org/rc
npm http GET https://registry.npmjs.org/semver
npm http 304 https://registry.npmjs.org/js-beautify
npm http 304 https://registry.npmjs.org/rc
npm http 304 https://registry.npmjs.org/semver
npm http GET https://registry.npmjs.org/gaze
npm http GET https://registry.npmjs.org/tiny-lr
npm http GET https://registry.npmjs.org/inherits
npm http GET https://registry.npmjs.org/graceful-fs
npm http 304 https://registry.npmjs.org/inherits
npm http 304 https://registry.npmjs.org/tiny-lr
npm http 304 https://registry.npmjs.org/gaze
npm http 304 https://registry.npmjs.org/graceful-fs
npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm http GET https://registry.npmjs.org/minimist
npm http GET https://registry.npmjs.org/strip-json-comments
npm http GET https://registry.npmjs.org/deep-extend
npm http GET https://registry.npmjs.org/ini
npm http 304 https://registry.npmjs.org/minimist
npm http 304 https://registry.npmjs.org/strip-json-comments
npm http 304 https://registry.npmjs.org/ini
npm http 200 https://registry.npmjs.org/deep-extend
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm http GET https://registry.npmjs.org/argparse
npm http GET https://registry.npmjs.org/esprima
npm http 304 https://registry.npmjs.org/esprima
npm http 304 https://registry.npmjs.org/argparse
npm http GET https://registry.npmjs.org/noptify
npm http GET https://registry.npmjs.org/debug
npm http GET https://registry.npmjs.org/qs
npm http GET https://registry.npmjs.org/faye-websocket
npm http 304 https://registry.npmjs.org/noptify
npm http 304 https://registry.npmjs.org/debug
npm http 304 https://registry.npmjs.org/qs
npm http 304 https://registry.npmjs.org/faye-websocket
npm http GET https://registry.npmjs.org/globule
npm http 304 https://registry.npmjs.org/globule
npm http GET https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/underscore
npm http GET https://registry.npmjs.org/util-deprecate
npm http GET https://registry.npmjs.org/sprintf-js
npm http 304 https://registry.npmjs.org/util-deprecate
npm http 304 https://registry.npmjs.org/sprintf-js
npm http GET https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/config-chain
npm http GET https://registry.npmjs.org/editorconfig
npm http 304 https://registry.npmjs.org/mkdirp
npm http 304 https://registry.npmjs.org/config-chain
npm http 304 https://registry.npmjs.org/editorconfig
npm http GET https://registry.npmjs.org/proto-list
npm http GET https://registry.npmjs.org/commander
npm http GET https://registry.npmjs.org/bluebird
npm http 304 https://registry.npmjs.org/proto-list
npm http 304 https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/bluebird
npm http GET https://registry.npmjs.org/pseudomap
npm http 304 https://registry.npmjs.org/pseudomap

/home/bamboo/bamboo-agent-home/xml-data/build-dir/GEOD-SEAG-JOB1/geodashboard/node_modules/grunt-docco/node_modules/docco/node_modules/fs-extra/lib/index.js:23
const fs = require('fs')
^^^^^

/home/bamboo/bamboo-agent-home/xml-data/build-dir/GEOD-SEAG-JOB1/geodashboard/node_modules/grunt-docco/node_modules/docco/node_modules/fs-extra/lib/index.js:23
const fs = require('fs')
^^^^^

/home/bamboo/bamboo-agent-home/xml-data/build-dir/GEOD-SEAG-JOB1/geodashboard/node_modules/grunt-docco/node_modules/docco/node_modules/fs-extra/lib/index.js:23
const fs = require('fs')
^^^^^
Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=384M; support was removed in 8.0

/home/bamboo/bamboo-agent-home/xml-data/build-dir/GEOD-SEAG-JOB1/geodashboard/node_modules/grunt-docco/node_modules/docco/node_modules/fs-extra/lib/index.js:23
const fs = require('fs')
^^^^^
stderr [geodashboard] : Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=1024M; support was removed in 8.0